### Constructor

# WebKit2 WebContext new_with_website_data_manager

#### Declaration [src]

    WebKitWebContext*
    webkit_web_context_new_with_website_data_manager (
      WebKitWebsiteDataManager* manager
    )

#### Description [src]

Create a new `WebKitWebContext` with a `WebKitWebsiteDataManager`.

Available since: | 2.10

#### Parameters

`manager` | `WebKitWebsiteDataManager`
| A `WebKitWebsiteDataManager`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `WebKitWebContext`
| A newly created `WebKitWebContext`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.